<?php
//require('../../../../wp-load.php');
//---------------------- STARTING VARIABLES
global $wpdb;
global $solivechat_db_version;
$solivechat_db_version = '2.1';




//------------ LOCALIZATION
add_action('plugins_loaded', 'solivechat_load_textdomain');
function solivechat_load_textdomain() {
	load_plugin_textdomain( 'solivechat', false, dirname( plugin_basename(__FILE__) ) . '/languages/' );
}
//------------ CREATE TABLES



function solivechat_installtwo() {
	global $wpdb;
	global $solivechat_db_version;

	$table_name = $wpdb->prefix . 'diet';
	
	$charset_collate = '';

	if ( ! empty( $wpdb->charset ) ) {
	  $charset_collate = "DEFAULT CHARACTER SET {$wpdb->charset}";
	}

	if ( ! empty( $wpdb->collate ) ) {
	  $charset_collate .= " COLLATE {$wpdb->collate}";
	}

	$sql = "CREATE TABLE IF NOT EXISTS  `wp_font` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `font` text NOT NULL,
    PRIMARY KEY (`id`),
    UNIQUE KEY `id` (`id`)
   ) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;
   ";

	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	dbDelta( $sql );

	add_option( 'solivechat_db_version', $solivechat_db_version );
}

function solivechat_install() {
	global $wpdb;
	global $solivechat_db_version;

	$table_name = $wpdb->prefix . 'diet';
	
	$charset_collate = '';

	if ( ! empty( $wpdb->charset ) ) {
	  $charset_collate = "DEFAULT CHARACTER SET {$wpdb->charset}";
	}

	if ( ! empty( $wpdb->collate ) ) {
	  $charset_collate .= " COLLATE {$wpdb->collate}";
	}

	$sql = "CREATE TABLE `solivechat_messages` (
			  `ID` int(11) NOT NULL AUTO_INCREMENT,
			  `SID` int(11) NOT NULL,
			  `TS` int(1) NOT NULL DEFAULT '0',
			  `FROM` varchar(30) NOT NULL,
			  `MESSAGE` varchar(255) NOT NULL,
			  `READ` int(1) NOT NULL DEFAULT '0',
			  `TIMESTAMP` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
			  PRIMARY KEY (`ID`),
    UNIQUE KEY `id` (`id`)
			) ENGINE=MyISAM DEFAULT CHARSET=latin1;";

	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	dbDelta( $sql );

	add_option( 'solivechat_db_version', $solivechat_db_version );
}

function solivechat_installthree() {
	global $wpdb;
	global $solivechat_db_version;

	
	
	$charset_collate = '';

	if ( ! empty( $wpdb->charset ) ) {
	  $charset_collate = "DEFAULT CHARACTER SET {$wpdb->charset}";
	}

	if ( ! empty( $wpdb->collate ) ) {
	  $charset_collate .= " COLLATE {$wpdb->collate}";
	}

	$sql = "CREATE TABLE `solivechat_options` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tab_bg` varchar(10) NOT NULL,
  `tab_col` varchar(10) NOT NULL,
  `tab_text` text NOT NULL,
  `font` varchar(100) NOT NULL,
  `main_title` text NOT NULL,
  `main_desc` text NOT NULL,
  `position_y` varchar(10) NOT NULL,
  `position_x` varchar(10) NOT NULL,
  `offline` varchar(1000) NOT NULL,
  `offline_msg` varchar(1000) NOT NULL,
  `email` varchar(300) NOT NULL,
  `variation` varchar(2) NOT NULL,
  `site_wide` varchar(2) NOT NULL,
  `corner` varchar(2) NOT NULL,
  `business` varchar(300) NOT NULL,
  `width` varchar(12) NOT NULL,
  `popup` varchar(2) NOT NULL,
  `time` varchar(4) NOT NULL,
  `pop_message` text NOT NULL,
  `mailchimp_api` varchar(60) NOT NULL,
  `mailchimp_sec` varchar(20) NOT NULL,
  `iframe` varchar(10) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;";

	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	dbDelta( $sql );

	add_option( 'solivechat_db_version', $solivechat_db_version );
}

function solivechat_installfour() {
	global $wpdb;
	global $solivechat_db_version;

	
	
	$charset_collate = '';

	if ( ! empty( $wpdb->charset ) ) {
	  $charset_collate = "DEFAULT CHARACTER SET {$wpdb->charset}";
	}

	if ( ! empty( $wpdb->collate ) ) {
	  $charset_collate .= " COLLATE {$wpdb->collate}";
	}

	$sql = "CREATE TABLE `solivechat_session` (
	  `ID` int(11) NOT NULL AUTO_INCREMENT,
	  `STATUS` int(1) NOT NULL DEFAULT '1',
	  `NAME` varchar(30) NOT NULL,
	  `TR` int(11) NOT NULL,
	  `IP` text NOT NULL,
	  `TIMESTAMP` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
	   PRIMARY KEY (`ID`),
	   UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
";

	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	dbDelta( $sql );

	add_option( 'solivechat_db_version', $solivechat_db_version );
}

function solivechat_installfive() {
	global $wpdb;
	global $solivechat_db_version;

	
	
	$charset_collate = '';

	if ( ! empty( $wpdb->charset ) ) {
	  $charset_collate = "DEFAULT CHARACTER SET {$wpdb->charset}";
	}

	if ( ! empty( $wpdb->collate ) ) {
	  $charset_collate .= " COLLATE {$wpdb->collate}";
	}

	$sql = "CREATE TABLE IF NOT EXISTS `solivechat_tech` (
	  `ID` int(11) NOT NULL AUTO_INCREMENT,
	  `NAME` varchar(30) NOT NULL,
	  `USERNAME` varchar(20) NOT NULL,
	  `PASSWORD` varchar(16) NOT NULL,
	  `TIMESTAMP` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
	  `STATUS` int(1) NOT NULL,
	  PRIMARY KEY (`ID`),
	  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;";


	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	dbDelta( $sql );

	add_option( 'solivechat_db_version', $solivechat_db_version );
}

function solivechat_installsix() {
	global $wpdb;
	global $solivechat_db_version;

	
	
	$charset_collate = '';

	if ( ! empty( $wpdb->charset ) ) {
	  $charset_collate = "DEFAULT CHARACTER SET {$wpdb->charset}";
	}

	if ( ! empty( $wpdb->collate ) ) {
	  $charset_collate .= " COLLATE {$wpdb->collate}";
	}

	$sql = "CREATE TABLE `solivechat_assigned` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `session_id` varchar(10) NOT NULL,
  `assigned_to` varchar(10) NOT NULL,
  `time_assigned` varchar(100) NOT NULL,
  PRIMARY KEY (`id`),
    UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;";

	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	dbDelta( $sql );

	add_option( 'solivechat_db_version', $solivechat_db_version );
}

function solivechat_installseven() {
	global $wpdb;
	global $solivechat_db_version;

	
	
	$charset_collate = '';

	if ( ! empty( $wpdb->charset ) ) {
	  $charset_collate = "DEFAULT CHARACTER SET {$wpdb->charset}";
	}

	if ( ! empty( $wpdb->collate ) ) {
	  $charset_collate .= " COLLATE {$wpdb->collate}";
	}

	$sql = "CREATE TABLE `solivechat_notifications` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `timestamp` varchar(10) NOT NULL,
  `notification` varchar(2) NOT NULL,
  `user` varchar(100) NOT NULL,
  PRIMARY KEY (`id`),
    UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;";



	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	dbDelta( $sql );

	add_option( 'solivechat_db_version', $solivechat_db_version );
}

//--------- INSTALL DATA

function solivechat_install_dataone(){
	global $wpdb;
	$wpdb->query("INSERT INTO `solivechat_options` (`id`, `tab_bg`, `tab_col`, `tab_text`, `font`, `main_title`, `main_desc`, `position_y`, `position_x`, `offline`, `offline_msg`, `email`, `variation`, `site_wide`, `corner`, `business`, `width`,`popup`, `time`, `pop_message`, `mailchimp_api`, `mailchimp_sec`, `iframe`) VALUES
('1', '#229e97', '#9ef7e1', 'LIVE CHAT WITH OUR SUPPORT TEAM', 'Quicksand', 'Welcome to Support', 'Welcome to our live chat. Please start your chat now and we will put you in touch with one of our agents.', 'bottom', 'right', 'LIVE CHAT CLOSED: LEAVE A MESSAGE', 'We are sorry, it is out of business hours now. But please leave us a message so we can get in touch with you!', 'test@test.com', '', 'y', '3', 'Available on Weekdays from 9-5', '320','y', '3', '', '', '', 'y');");
	
	$wpdb->query("INSERT INTO `solivechat_tech` (`ID`, `NAME`, `USERNAME`, `PASSWORD`, `TIMESTAMP`, `STATUS`) VALUES
(NULL, 'Admin User', 'admin', 'password', CURRENT_TIMESTAMP, '0');
");
}

function solivechat_install_datatwo() {
	global $wpdb;
	
	$wpdb->get_results("SELECT * FROM `wp_font` where id='1'");
	$if = $wpdb->num_rows;
	if ($if == 1){
	}else{
	
	$wpdb->query("INSERT INTO `wp_font` (`id`, `font`) VALUES
(1, 'Aclonica,Acme,Actor,Adamina,Advent+Pro,Aguafina+Script,Akronim,Aladin,Aldrich,Alef,Alegreya,Alegreya+Sans,Alegreya+Sans+SC,Alegreya+SC,Alex+Brush,Alfa+Slab+One,Alice,Alike,Alike+Angular,Allan,Allerta,Allerta+Stencil,Allura,Almendra,Almendra+Display,Almendra+SC,Amarante,Amaranth,Amatic+SC,Amethysta,Anaheim,Andada,Andika,Angkor,Annie+Use+Your+Telescope,Anonymous+Pro,Antic,Antic+Didone,Antic+Slab,Anton,Arapey,Arbutus,Arbutus+Slab,Architects+Daughter,Archivo+Black,Archivo+Narrow,Arimo,Arizonia,Armata,Artifika,Arvo,Asap,Asset,Astloch,Asul,Atomic+Age,Aubrey,Audiowide,Autour+One,Average,Average+Sans,Averia+Gruesa+Libre,Averia+Libre,Averia+Sans+Libre,Averia+Serif+Libre,Bad+Script,Balthazar,Bangers,Basic,Battambang,Baumans,Bayon,Belgrano,Belleza,BenchNine,Bentham,Berkshire+Swash,Bevan,Bigelow+Rules,Bigshot+One,Bilbo,Bilbo+Swash+Caps,Bitter,Black+Ops+One,Bokor,Bonbon,Boogaloo,Bowlby+One,Bowlby+One+SC,Brawler,Bree+Serif,Bubblegum+Sans,Bubbler+One,Buda,Buenard,Butcherman,Butterfly+Kids,Cabin,Cabin+Condensed,Cabin+Sketch,Caesar+Dressing,Cagliostro,Calligraffitti,Cambo,Candal,Cantarell,Cantata+One,Cantora+One,Capriola,Cardo,Carme,Carrois+Gothic,Carrois+Gothic+SC,Carter+One,Caudex,Cedarville+Cursive,Ceviche+One,Changa+One,Chango,Chau Philomene One,Chela One,Chelsea Market,Chenla,Cherry Cream Soda,Cherry Swash,Chewy,Chicle,Chivo,Cinzel,Cinzel Decorative,Clicker Script,Coda,Coda Caption,Codystar,Combo,Comfortaa,Coming Soon,Concert One,Condiment,Content,Contrail One,Convergence,Cookie,Copse,Corben,Courgette,Cousine,Coustard,Covered By Your Grace,Crafty Girls,Creepster,Crete Round,Crimson Text,Croissant One,Crushed,Cuprum,Cutive,Cutive Mono,Damion,Dancing Script,Dangrek,Dawning of a New Day,Days One,Delius,Delius Swash Caps,Delius Unicase,Della Respira,Denk One,Devonshire,Didact Gothic,Diplomata,Diplomata SC,Domine,Donegal One,Doppio One,Dorsa,Dosis,Dr Sugiyama,Droid Sans,Droid Sans Mono,Droid Serif,Duru Sans,Dynalight,Eagle Lake,Eater,EB Garamond,Economica,Ek Mukta,Electrolize,Elsie,Elsie Swash Caps,Emblema One,Emilys Candy,Engagement,Englebert,Enriqueta,Erica One,Esteban,Euphoria Script,Ewert,Exo,Exo 2,Expletus Sans,Fanwood Text,Fascinate,Fascinate Inline,Faster One,Fasthand,Fauna One,Federant,Federo,Felipa,Fenix,Finger Paint,Fira Mono,Fira Sans,Fjalla One,Fjord One,Flamenco,Flavors,Fondamento,Fontdiner Swanky,Forum,Francois One,Freckle Face,Fredericka the Great,Fredoka One,Freehand,Fresca,Frijole,Fruktur,Fugaz One,Gabriela,Gafata,Galdeano,Galindo,Gentium Basic,Gentium Book Basic,Geo,Geostar,Geostar Fill,Germania One,GFS Didot,GFS Neohellenic,Gilda Display,Give You Glory,Glass Antiqua,Glegoo,Gloria Hallelujah,Goblin One,Gochi Hand,Gorditas,Goudy Bookletter 1911,Graduate,Grand Hotel,Gravitas One,Great Vibes,Griffy,Gruppo,Gudea,Habibi,Halant,Hammersmith One,Hanalei,Hanalei Fill,Handlee,Hanuman,Happy Monkey,Headland One,Henny Penny,Herr Von Muellerhoff,Hind,Holtwood One SC,Homemade Apple,Homenaje,Iceberg,Iceland,IM Fell Double Pica,IM Fell Double Pica SC,IM Fell DW Pica,IM Fell DW Pica SC,IM Fell English,IM Fell English SC,IM Fell French Canon,IM Fell French Canon SC,IM Fell Great Primer,IM Fell Great Primer SC,Imprima,Inconsolata,Inder,Indie Flower,Inika,Irish Grover,Istok Web,Italiana,Italianno,Jacques Francois,Jacques Francois Shadow,Jim Nightshade,Jockey One,Jolly Lodger,Josefin Sans,Josefin Slab,Joti One,Judson,Julee,Julius Sans One,Junge,Jura,Just Another Hand,Just Me Again Down Here,Kalam,Kameron,Kantumruy,Karla,Karma,Kaushan Script,Kavoon,Kdam Thmor,Keania One,Kelly Slab,Kenia,Khand,Khmer,Kite One,Knewave,Kotta One,Koulen,Kranky,Kreon,Kristi,Krona One,La Belle Aurore,Laila,Lancelot,Lato,League Script,Leckerli One,Ledger,Lekton,Lemon,Libre Baskerville,Life Savers,Lilita One,Lily Script One,Limelight,Linden Hill,Lobster,Lobster Two,Londrina Outline,Londrina Shadow,Londrina Sketch,Londrina Solid,Lora,Love Ya Like A Sister,Loved by the King,Lovers Quarrel,Luckiest Guy,Lusitana,Lustria,Macondo,Macondo Swash Caps,Magra,Maiden Orange,Mako,Marcellus,Marcellus SC,Marck Script,Margarine,Marko One,Marmelad,Marvel,Mate,Mate SC,Maven Pro,McLaren,Meddon,MedievalSharp,Medula One,Megrim,Meie Script,Merienda,Merienda One,Merriweather,Merriweather Sans,Metal,Metal Mania,Metamorphous,Metrophobic,Michroma,Milonga,Miltonian,Miltonian Tattoo,Miniver,Miss Fajardose,Modern Antiqua,Molengo,Molle,Monda,Monofett,Monoton,Monsieur La Doulaise,Montaga,Montez,Montserrat,Montserrat Alternates,Montserrat Subrayada,Moul,Moulpali,Mountains of Christmas,Mouse Memoirs,Mr Bedfort,Mr Dafoe,Mr De Haviland,Mrs Saint Delafield,Mrs Sheppards,Muli,Mystery Quest,Neucha,Neuton,New Rocker,News Cycle,Niconne,Nixie One,Nobile,Nokora,Norican,Nosifer,Nothing You Could Do,Noticia Text,Noto Sans,Noto Serif,Nova Cut,Nova Flat,Nova Mono,Nova Oval,Nova Round,Nova Script,Nova Slim,Nova Square,Numans,Nunito,Odor Mean Chey,Offside,Old Standard TT,Oldenburg,Oleo Script,Oleo Script Swash Caps,Open Sans,Open Sans Condensed,Oranienbaum,Orbitron,Oregano,Orienta,Original Surfer,Oswald,Over the Rainbow,Overlock,Overlock SC,Ovo,Oxygen,Oxygen Mono,Pacifico,Paprika,Parisienne,Passero One,Passion One,Pathway Gothic One,Patrick Hand,Patrick Hand SC,Patua One,Paytone One,Peralta,Permanent Marker,Petit Formal Script,Petrona,Philosopher,Piedra,Pinyon Script,Pirata One,Plaster,Play,Playball,Playfair Display,Playfair Display SC,Podkova,Poiret One,Poller One,Poly,Pompiere,Pontano Sans,Port Lligat Sans,Port Lligat Slab,Prata,Preahvihear,Press Start 2P,Princess Sofia,Prociono,Prosto One,PT Mono,PT Sans,PT Sans Caption,PT Sans Narrow,PT Serif,PT Serif Caption,Puritan,Purple Purse,Quando,Quantico,Quattrocento,Quattrocento Sans,Questrial,Quicksand,Quintessential,Qwigley,Racing Sans One,Radley,Rajdhani,Raleway,Raleway Dots,Rambla,Rammetto One,Ranchers,Rancho,Rationale,Redressed,Reenie Beanie,Revalia,Ribeye,Ribeye Marrow,Righteous,Risque,Roboto,Roboto Condensed,Roboto Slab,Rochester,Rock Salt,Rokkitt,Romanesco,Ropa Sans,Rosario,Rosarivo,Rouge Script,Rozha One,Rubik Mono One,Rubik One,Ruda,Rufina,Ruge Boogie,Ruluko,Rum Raisin,Ruslan Display,Russo One,Ruthie,Rye,Sacramento,Sail,Salsa,Sanchez,Sancreek,Sansita One,Sarina,Sarpanch,Satisfy,Scada,Schoolbell,Seaweed Script,Sevillana,Seymour One,Shadows Into Light,Shadows Into Light Two,Shanti,Share,Share Tech,Share Tech Mono,Shojumaru,Short Stack,Siemreap,Sigmar One,Signika,Signika Negative,Simonetta,Sintony,Sirin Stencil,Six Caps,Skranji,Slabo 13px,Slabo 27px,Slackey,Smokum,Smythe,Sniglet,Snippet,Snowburst One,Sofadi One,Sofia,Sonsie One,Sorts Mill Goudy,Source Code Pro,Source Sans Pro,Source Serif Pro,Special Elite,Spicy Rice,Spinnaker,Spirax,Squada One,Stalemate,Stalinist One,Stardos Stencil,Stint Ultra Condensed,Stint Ultra Expanded,Stoke,Strait,Sue Ellen Francisco,Sunshiney,Supermercado One,Suwannaphum,Swanky and Moo Moo,Syncopate,Tangerine,Taprom,Tauri,Teko,Telex,Tenor Sans,Text Me One,The Girl Next Door,Tienne,Tinos,Titan One,Titillium Web,Trade Winds,Trocchi,Trochut,Trykker,Tulpen One,Ubuntu,Ubuntu Condensed,Ubuntu Mono,Ultra,Uncial Antiqua,Underdog,Unica One,UnifrakturCook,UnifrakturMaguntia,Unkempt,Unlock,Unna,Vampiro One,Varela,Varela Round,Vast Shadow,Vesper Libre,Vibur,Vidaloka,Viga,Voces,Volkhov,Vollkorn,Voltaire,VT323,Waiting for the Sunrise,Wallpoet,Walter Turncoat,Warnes,Wellfleet,Wendy One,Wire One,Yanone Kaffeesatz,Yellowtail,Yeseva ')");
	}

}




function solivechat_add_data(){
global $wpdb;
global $solivechat_db_version;
$wpdb->query("INSERT INTO `solivechat_tech` (`ID`, `NAME`, `USERNAME`, `PASSWORD`, `TIMESTAMP`, `STATUS`) VALUES
(1, 'newuser', 'newuser', 'password', CURRENT_TIMESTAMP, '0');");
}

function solivechat_delete_data(){
global $wpdb;
global $solivechat_db_version;
$delid = $_REQUEST['delid'];
$wpdb->query("DELETE FROM  `solivechat_tech` where ID='$delid'");
}





//---------------------- END DATABASE TABLE



//------ ---------- ADMIN SECTION
/*---------------------------------------------------
register settings
----------------------------------------------------*/
function theme_settings_solivechat_init(){
register_setting( 'theme_settings_solivechat', 'theme_settings_solivechat' );
}
 
/*---------------------------------------------------
add settings page to menu
----------------------------------------------------*/
//---- main admin page
function add_settings_page_solivechat() {
add_menu_page( __( '82 Live Chat' .' ' ), __( '82 Live Chat' .' ' ), 'manage_options', 'settings_solivechat', 'theme_settings_solivechat_page', 'dashicons-admin-users');
}


//---- edit Settings
function register_newpage_solivechat(){
	$appname = '82 Live Chat';
    add_menu_page($appname, $appname, 'administrator','solivechat_edit', 'theme_settings_solivechat_page_edit');
    remove_menu_page('theme_settings_solivechat_page_edit');
	remove_menu_page('solivechat_edit');
}
 
/*---------------------------------------------------
add actions
----------------------------------------------------*/
add_action( 'admin_init', 'theme_settings_solivechat_init' );
add_action( 'admin_menu', 'add_settings_page_solivechat' );
add_action( 'admin_menu', 'register_newpage_solivechat' );


 
/*---------------------------------------------------
Theme Panel Output
----------------------------------------------------*/
function theme_settings_solivechat_page() {
global $wpdb;
global $solivechat_db_version;

//---- LOGOUT SESSION DESTROY
	if (!empty($_REQUEST['s'])){
	$sess = $_REQUEST['s'];
	if ($sess == 'y'){
		session_destroy();
	}
	}else{}	

if (isset($_POST['techLogin'])) {
	
// ---- VARIABLES
$username = $_POST['user'];
$password = $_POST['password'];

// ---- LOGIN CHECK SECTION
	foreach ($_POST as $key=>$value) {
		$_POST[$key] = htmlspecialchars($value, ENT_QUOTES);
	}
	$sql         =  $wpdb->get_results("SELECT `ID` FROM `solivechat_tech` WHERE `USERNAME` = '".$username."' AND `PASSWORD` = '".$password."'", ARRAY_A);
	$id_link  =  $wpdb;
		
	if ($wpdb->num_rows != 0) {
		foreach($sql as $result){
			
			$_SESSION['techUser']   =  $result['ID'];
			$sql                    =  $wpdb->query("UPDATE `solivechat_tech` SET `STATUS` = '1' WHERE `ID`='".$_SESSION['techUser']."'");
			echo '<script>document.location.href="'.$_SERVER['PHP_SELF'].'?page=solivechat_edit";</script>';
			
			die();
		}
	}else{
		?><div class="errorMsg"><?php _e( "Login Failed", "solivechat" ); ?></div><?php
	}
}

 echo '<link href="'.get_site_url().'/wp-content/plugins/solivechat/admin/css/admin.css" rel="stylesheet">
    <link href="//maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet">
    <link href="//fonts.googleapis.com/css?family=Quicksand:300,400,700|Varela+Round" rel="stylesheet">
   
    <script src="'.get_site_url().'/wp-content/plugins/solivechat/js/jquery.js"></script>
    <script src="'.get_site_url().'wp-content/plugins/solivechat/js/functions.js"></script>';

echo '<div class="socontainer">
	<div class="socentre"><img src="'.get_site_url().'/wp-content/plugins/solivechat/admin/img/login.png" height="60px" /></div>
      <div id="sologin">
      
		
        <form name="techLogin" method="POST" id="techLogin">
		<fieldset class="clearfix">

            <p><span class="fa fa-user"></span><input class="so" type="text" name="user" value="'.__( "Username", "solivechat" ).'"  required></p> 
            <p><span class="fa fa-lock"></span><input class="so" type="password" name="password"  value="'.__( "Password", "solivechat" ).'" required></p> 
            <p><input type="hidden" name="techLogin" value="1"><input type="submit" name="send" value="'.__( "Sign In", "solivechat" ).'" class="ctabtn"  ></p>

         </fieldset>
		</form>
		</div> <!-- end login -->
		</div>';

}

/*---------------------------------------------------
GET SESSIONS
----------------------------------------------------*/

function getOpenSessions($type){
	global $wpdb;
	$sql   = $wpdb->get_results("SELECT * FROM solivechat_session where STATUS='1' ORDER BY ID ASC", ARRAY_A);
	foreach($sql as $result){
		if ($type == 'assigned'):
			$res   = $wpdb->query("SELECT * FROM solivechat_assigned where session_id='".$result['ID']."'");
			if($res >= '1'):
				echo   '<div class="solivechat_list" id="solive_'.$result['ID'].'" onclick="showcurrentSession(\''.$result['ID'].'\', \'../wp-content/plugins/solivechat/\', \''.$_SESSION['techUser'].'\')">
						<div class="so_name">'.$result['NAME'].'</div>
						<i class="fa fa-comment"></i>
						<div class="solivechat_clear"></div>
						</div>';
			endif;
		else:
			$res   = $wpdb->query("SELECT * FROM solivechat_assigned where session_id='".$result['ID']."'");
			if($res == '0'):
				echo   '<div class="solivechat_list" id="solive_'.$result['ID'].'" onclick="showcurrentSession(\''.$result['ID'].'\', \'../wp-content/plugins/solivechat/\', \''.$_SESSION['techUser'].'\')">
						<div class="so_name">'.$result['NAME'].'</div>
						<i class="fa fa-comment"></i>
						<div class="solivechat_clear"></div>
						</div>';
			endif;
		endif;
	
	}

}

function getOpenArchive(){
	global $wpdb;
	$sql   = $wpdb->get_results("SELECT * FROM solivechat_session where STATUS='0' ORDER BY ID ASC", ARRAY_A);
	foreach($sql as $result){
		echo '<div class="solivechat_list" id="solive_'.$result['ID'].'" onclick="showcurrentArchive(\''.$result['ID'].'\', \'../wp-content/plugins/solivechat/\')">
		<div class="so_name">'.$result['NAME'].'</div>
		<i class="fa fa-comment"></i>
		<div class="solivechat_clear"></div>
		</div>';
	}
	
}

function getTechUsers(){
	global $wpdb;
	$sql   = $wpdb->get_results("SELECT * FROM solivechat_tech ORDER BY ID ASC", ARRAY_A);
	foreach($sql as $rw){ 
	extract ($rw);
	
	if ($rw['STATUS'] == '1'){
		$stat = 'fa-check-circle';
	}else{
		$stat = 'fa-times-circle';
	}
		
		echo '<div class="solivechat_list" id="solive_'.$rw['ID'].'" onclick="showcurrentTech(\''.$rw['ID'].'\', \'../wp-content/plugins/solivechat/\')">
		<div class="so_name">'.$rw['NAME'].'</div>
		<i class="fa '.$stat.'"></i>
		<div class="solivechat_clear"></div>
		</div>';
	}
}



/*---------------------------------------------------
Plugin Admin Settings
----------------------------------------------------*/
function theme_settings_solivechat_user_edit() {
	global $wpdb;
}

function theme_settings_solivechat_page_edit() {

global $wpdb;

// ------ IS LOGGED IN 
			
    if (!isset($_SESSION['techUser'])){ 
	    echo '<link href="'.get_site_url().'/wp-content/plugins/solivechat/admin/css/admin.css" rel="stylesheet">
	    <link href="//maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet">
	    <link href="//fonts.googleapis.com/css?family=Quicksand:300,400,700|Varela+Round" rel="stylesheet">
	   
	    <script src="'.get_site_url().'/wp-content/plugins/solivechat/js/jquery.js"></script>
	    <script src="'.get_site_url().'/wp-content/plugins/solivechat/admin/js/admin.js"></script>';
	    
		echo '<div class="socontainer"><div class="oops">';
		_e( "Oh Dear", "solivechat" ); 
		echo '!!!!<br><small>';
		_e( "We need you to head back to the login page", "solivechat" ); 
		echo '</div><div class="clear"></div><div class="ctabtn"><a href="'.get_site_url().'/wp-admin/admin.php?page=settings_solivechat" >';
		_e( "Back to Login Page", "solivechat" ); 
		echo '</a></div></div>';
	} else {
		
		$user     = $_SESSION['techUser'];

		$sql      = $wpdb->get_results("SELECT USERNAME, NAME FROM `solivechat_tech` where `ID`='".$user."'", ARRAY_A);
		$rows     = $wpdb->num_rows;
		foreach($sql as $row){
			$login_session = $row['USERNAME'];
			$user_name     = $row['NAME'];
		}
		if(!isset($login_session)){
			echo '<link href="'.get_site_url().'/wp-content/plugins/solivechat/admin/css/admin.css" rel="stylesheet">
		    <link href="//maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet">
		    <link href="//fonts.googleapis.com/css?family=Quicksand:300,400,700|Varela+Round" rel="stylesheet">
		   
		    <script src="'.get_site_url().'/wp-content/plugins/solivechat/js/jquery.js"></script>
		    <script src="'.get_site_url().'/wp-content/plugins/solivechat/admin/js/admin.js"></script>';

			echo '<div class="socontainer">Please Login<div class="clear"></div><div class="ctabtn"><a href="'.get_site_url().'wp-admin/admin.php?page=settings_solivechat" >Back to Login Page</a></div></div>';
		} else {

			if (isset($_POST["submitadd"])) {

			$tab_bg      = $_REQUEST['tab_bg'];
			$tab_col     = $_REQUEST['tab_col'];
			$tab_text    = $_REQUEST['tab_text'];
			$font        = $_REQUEST['font'];
			$main_title  = $_REQUEST['main_title'];
			$main_desc   = $_REQUEST['main_desc'];
			$posx        = $_REQUEST['position_x'];
			$posy        = $_REQUEST['position_y'];
			$offline     = $_REQUEST['offline'];
			$offline_msg = $_REQUEST['offline_msg'];
			$email       = $_REQUEST['email'];
			$corner      = $_REQUEST['corner'];
			//$variation   = $_REQUEST['variation'];
			$site_wide   = $_REQUEST['site_wide'];
			$width       = $_REQUEST['width'];
			$business    = $_REQUEST['business'];
			$popup       = $_REQUEST['popup'];
			$time        = $_REQUEST['time'];
			//$pop_message = $_REQUEST['pop_message'];
			$mailchimp_api  = $_REQUEST['mailchimp_api'];
			$mailchimp_sec  = $_REQUEST['mailchimp_sec'];
			//$iframe      = $_REQUEST['iframe'];

			$wpdb->query("UPDATE `solivechat_options` SET site_wide='$site_wide', offline_msg='$offline_msg', corner='$corner', width='$width', business='$business', tab_bg='$tab_bg', tab_col='$tab_col', tab_text='$tab_text', font='$font', main_title='$main_title', main_desc='$main_desc', position_x='$posx', position_y='$posy', offline='$offline', email='$email', popup='$popup', time='$time', mailchimp_api='$mailchimp_api', mailchimp_sec='$mailchimp_sec' where ID = '1'");
			}

			if (isset($_POST["submitChange"])) {

			$tech_user      = $_REQUEST['tech_user'];
			$tech_name      = $_REQUEST['tech_name'];
			$tech_pass      = $_REQUEST['tech_pass'];
			$sid            = $_REQUEST['sid'];


			$wpdb->query("UPDATE solivechat_tech set `USERNAME`='".$tech_user."', `NAME`='".$tech_name."', `PASSWORD`='".$tech_pass."' WHERE `ID`='".$sid."'");
			echo '<script>alert("Tech User Saved"); </script>';
			}

			if (isset($_POST["submitaddagent"])) {
			$wpdb->query("INSERT INTO `solivechat_tech` (`ID`, `NAME`, `USERNAME`, `PASSWORD`, `TIMESTAMP`, `STATUS`) VALUES
			(NULL, 'newuser', 'newuser', 'password', CURRENT_TIMESTAMP, 0);");
			}

			if (isset($_POST["submitdelete"])) {
			$delid = $_REQUEST['delid'];
			$wpdb->query("DELETE FROM  `solivechat_tech` where ID='".$delid."'");
			}

			echo '<link href="'.get_site_url().'/wp-content/plugins/solivechat/admin/css/admin.css" rel="stylesheet">
			    <link href="//maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet">
			    <link href="//fonts.googleapis.com/css?family=Quicksand:300,400,700|Varela+Round" rel="stylesheet">
			   
			    <script src="'.get_site_url().'/wp-content/plugins/solivechat/js/jquery.js"></script>
			    <script src="'.get_site_url().'/wp-content/plugins/solivechat/admin/js/admin.js"></script>';

			//echo "<script> pageStay('".get_site_url()."/wp-content/plugins/solivechat/','".$_SESSION['techUser']."'); </script>";
			echo "<script>notificationCheck('".get_site_url()."/wp-content/plugins/solivechat/')</script>";
			    
			echo '<div class="wrap">
			     
			         <div id="icon-options-general"></div>
			         <h2>'.__( "82 Live Chat Admin Area", "solivechat" ).'</h2>
			         <div class="solivechat_table">
			         <div class="soHeader">
			         	<div class="sologo"><img src="'.get_site_url().'/wp-content/plugins/solivechat/admin/img/header.png" /></div>';
			         
			         
			         
			        
			echo '<a onclick="logMeOut(\''.get_site_url().'\',\''.$user.'\')" class="solivechat_back menItem">';
			echo '<i class="fa fa-sign-out"></i><br><span>'. __("Logout", "solivechat" ).'</span></a> ';
			echo "<a href='?page=solivechat_edit&pg=settings'><div class='solivechat_back menItem headerTooltip'>     <i class='fa fa-cogs'></i>      <br><span>". __("Settings", "solivechat" )."</span></div></a><!--Settings-->
			        <a href='?page=solivechat_edit&pg=reports'><div class='solivechat_report menItem headerTooltip'>   <i class='fa fa-bar-chart'></i>  <br><span>". __("Reports", "solivechat" )."</span></div></a><!--Current Chat Sessions-->
					<a href='?page=solivechat_edit&pg=agents'><div class='solivechat_date menItem headerTooltip'>     <i class='fa fa-group'></i>     <br><span>". __("Agents", "solivechat" )."</span></div></a><!--Agents-->
			        <a href='?page=solivechat_edit&pg=archive'><div class='solivechat_font menItem headerTooltip'>     <i class='fa fa-comment-o'></i> <br><span>". __("Archived", "solivechat" )."</span></div></a><!--Archived Chat-->
			        <a href='?page=solivechat_edit&pg=sess'><div class='solivechat_general menItem headerTooltip'>  <i class='fa fa-comments-o small-green ''></i><br><span>". __("Chat Sessions", "solivechat" )."</span></div></a><!--Current Chat Sessions-->
			        
			    	<div class='clear'></div>
			        </div>";
			        
			        
			         
			echo  "<div class='solivechat_menuright'>";
			         
			         if (!isset($_REQUEST['pg'])){
			         include('includes/template/general.php');
			    	 }

			        if (isset($_REQUEST['pg'])){
			          if ($_REQUEST['pg'] == 'sess'){
			             include('includes/template/general.php'); 
			    	  }
			    	}

			        if (isset($_REQUEST['pg'])){
			          if ($_REQUEST['pg'] == 'reports'){
			         	include('includes/template/reports.php'); 
			    	  }
			    	}
			        if (isset($_REQUEST['pg'])){
			          if ($_REQUEST['pg'] == 'agents'){
			         	include('includes/template/agents.php'); 
			    	  }
			    	}
			         if (isset($_REQUEST['pg'])){
			          if ($_REQUEST['pg'] == 'archive'){
			         	include('includes/template/archive.php'); 
			    	  }
			    	}
			         if (isset($_REQUEST['pg'])){
			          if ($_REQUEST['pg'] == 'settings'){
			         	include('includes/template/settings.php'); 
			    	  }
			    	}
			         
			         
			echo "<div class='solivechat_clear'></div>
			         </div>
			         
			     </div>";

			echo '     <div class="footer-credit">
			            <p>'.__("This Plugin was made by", "solivechat" ).'<a title="82 Designs" href="http://82designs.co.uk" target="_blank" >82 Designs</a>.</p>
			         </div>';

			}
		}
}

function solive_sitewide(){
global $wpdb;
// -- check if running site wide or on certain pages
$vars  = $wpdb->get_row("SELECT * FROM `solivechat_options` limit 0, 1");
if(!is_admin()){
	if($vars->site_wide == 'y'){
	print do_shortcode('[livechat]');
	}
}

}


//------- AJAX FUNCTIONS FOR FRONT END

add_action('wp', 'sessionsolivechat');
function sessionsolivechat() {
	if ( !session_id() ) { session_start(); solive_sitewide();}
}


//------- ADD ACTIONS
if(is_admin()){
	add_action('init', 'sessionsolivechat' );
}